import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;

/**
 * @author Lucie Rt Bittnerov
 */
public class MenuCanvas extends Canvas {
	// obrzek na pozad
	private Image background;
	// obrzek s polokami menu
	private Image menu;
	// index vybran poloky
	private int selected = 0;
	// barva zvrazovacho pruhu
	private int selectedColor = 0xfff38a;
	// vka zvrazovacho pruhu
	private int itemHeight = 25;
	// umstn levho hornho rohu obrzku
	// s polokami menu
	private int menuY;
	private int menuX;
	// umstn levho hornho rohu obrzku
	// s pozadm
	private int bgX;
	private int bgY;
	// poet poloek menu
	private int menuItems = 3;
	
	public MenuCanvas(){
		try{
			// inicializace obrzk
			background = Image.createImage("/menubg.png");
			menu = Image.createImage("/menu.png");
		} catch (Exception e){
		}
		/* nastaven umstn levho hornho rohu
		 * pozad a obrzku s polokami menu tak,
		 * aby tyto obrzky byly na displeji vycentrovny 
		 */
		menuX = (getWidth() - menu.getWidth())/2;
		menuY = (getHeight() - menu.getHeight())/2;
		bgX = (getWidth() - background.getWidth())/2;
		bgY = (getHeight() - background.getHeight())/2;

	}
	
	/* vykreslen menu */
	protected void paint(Graphics g) {
		// pekreslen celho displeje blou barvou
		g.setColor(0xffffff);
		g.fillRect(0,0,getWidth(), getHeight());
		// nakreslen pozad
		g.drawImage(background, bgX, bgY, Graphics.TOP | Graphics.LEFT);
		// nakreslen lutho pruhu
		g.setColor(selectedColor);
		g.fillRect(0, menuY + selected * itemHeight, getWidth(), itemHeight);
		// nakreslen poloek menu
		g.drawImage(menu, menuX, menuY, Graphics.TOP | Graphics.LEFT);
	}

	protected void keyPressed(int key) {
		int action = getGameAction(key);
		switch(action){
			case Canvas.UP: // pohyb kurzorem nahoru
				selected = Math.abs((--selected)%menuItems);
				repaint();
				break;
			case Canvas.DOWN: // pohyb kurzorem dol
				selected = (++selected)%menuItems;
				repaint();
				break;
			case Canvas.FIRE: // vybrn poloky
				GameMIDlet midlet=GameMIDlet.getInstance();
				if(selected==0){
					midlet.playAction();
				} else if(selected==1){
					midlet.helpAction();
				} else if(selected==2){
					midlet.destroyApp(true);
				}
		}
	}
}
